# Uses of Class
it.tdlight.jni.TdApi.SpeechRecognitionResult

## Uses of TdApi.SpeechRecognitionResult in it.tdlight.jni

Subclasses of TdApi.SpeechRecognitionResult in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.SpeechRecognitionResultError`
The speech recognition failed.
`static final class`
`TdApi.SpeechRecognitionResultPending`
The speech recognition is ongoing.
`static final class`
`TdApi.SpeechRecognitionResultText`
The speech recognition successfully finished.
Fields in it.tdlight.jni declared as TdApi.SpeechRecognitionResult
Modifier and Type
Field
Description
`TdApi.SpeechRecognitionResult`
TdApi.VideoNote.`speechRecognitionResult`
Result of speech recognition in the video note; may be null.
`TdApi.SpeechRecognitionResult`
TdApi.VoiceNote.`speechRecognitionResult`
Result of speech recognition in the voice note; may be null.
Constructors in it.tdlight.jni with parameters of type TdApi.SpeechRecognitionResult
Modifier
Constructor
Description
``
`VideoNote(int duration, byte[] waveform, int length, TdApi.Minithumbnail minithumbnail, TdApi.Thumbnail thumbnail, TdApi.SpeechRecognitionResult speechRecognitionResult, TdApi.File video)`
Describes a video note.
``
`VoiceNote(int duration, byte[] waveform, String mimeType, TdApi.SpeechRecognitionResult speechRecognitionResult, TdApi.File voice)`
Describes a voice note.